# Uses of Class
org.astrogrid.samp.hub.HubServiceMode

Packages that use HubServiceMode
Package
Description
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.

## Uses of HubServiceMode in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui with parameters of type HubServiceMode
Modifier and Type
Method
Description
`Action`
GuiHubConnector.`createHubAction(boolean external, HubServiceMode hubMode)`
Returns an action which will start up a SAMP hub.

## Uses of HubServiceMode in org.astrogrid.samp.hub

Fields in org.astrogrid.samp.hub declared as HubServiceMode
Modifier and Type
Field
Description
`static final HubServiceMode`
HubServiceMode.`CLIENT_GUI`
Hub mode with a GUI representation of connected clients.
`static HubServiceMode`
HubServiceMode.`FACADE`
Hub Mode which piggy-backs on an existing hub using the default client profile.
`static HubServiceMode`
HubServiceMode.`MESSAGE_GUI`
Hub mode with a GUI representation of clients and messages.
`static final HubServiceMode`
HubServiceMode.`NO_GUI`
Hub mode with no GUI representation of hub operations.
Methods in org.astrogrid.samp.hub that return HubServiceMode
Modifier and Type
Method
Description
`static HubServiceMode[]`
HubServiceMode.`getAvailableModes()`
Returns an array of the hub modes which can actually be used.
`static HubServiceMode`
HubServiceMode.`getModeFromName(String name)`
Returns one of the known modes which has a name as given.
Methods in org.astrogrid.samp.hub with parameters of type HubServiceMode
Modifier and Type
Method
Description
`static void`
Hub.`runExternalHub(HubServiceMode hubMode)`
Attempts to run a hub in a new JVM with a default set of profiles.
`static void`
Hub.`runExternalHub(HubServiceMode hubMode, Class[] profileClasses, Class[] extraProfileClasses)`
Attempts to start a hub in a new JVM with a given set of profiles.
`static Hub`
Hub.`runHub(HubServiceMode hubMode)`
Starts a SAMP hub with a default set of profiles.
`static Hub`
Hub.`runHub(HubServiceMode hubMode, HubProfile[] profiles, HubProfile[] extraProfiles)`
Starts a SAMP hub with given sets of profiles.